Create a product
POST /v1/catalog/products
POST
/v1/catalog/products
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” Idempotency-Key
required
string
A client-generated unique key (UUID recommended). Required on all POST/PATCH/DELETE. Retrying with the same key returns the original response for 24 hours.
Request Body required
Section titled “Request Body required ”object
name
required
string
Pro plan description
string
metadata
Up to 50 key/value string pairs you can attach to an object. Trile ignores them; they’re returned on every read.
object
key
additional properties
string
{ "internal_user_id": "42"}Responses
Section titled “ Responses ”A product object.
object
id
string
prod_01ARZ3NDEKTSV4RRFFQ69G5FAX name
string
description
string
active
boolean
metadata
Up to 50 key/value string pairs you can attach to an object. Trile ignores them; they’re returned on every read.
object
key
additional properties
string
{ "internal_user_id": "42"}Request validation failed.
object
success
boolean
error
object
code
string
insufficient_funds message
string
Wallet balance is below the first cycle amount. meta
object
requestId
string
req_aBcDeFgHiJkL